コンテンツへスキップ

Kandinsky 6.0 VSR

統合

モデルID kandinsky6-vsr
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kandinsky6-vsr?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.204 204 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Sber AI アップスケール #upscale#video-to-video

シャープでちらつきのないフレームを重視し、クリップを2x、2.25x、4xに拡大する動画超解像です

Sber AI · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 video_url
ファイルをドロップ、または

拡大する動画。倍率2および4では幅と高さを16の倍数にする必要があります。処理時にクリップを24fpsにリサンプリングし、121フレーム(約5秒)に制限します。

upscale_factor デフォルト 2.25

元の解像度に対する全体の倍率。2、2.25、または4です。

デフォルト 5

タイルごとに適用するノイズ除去ステップ数。

詳細設定 seed · enable_safety_checker

生成時に使用したランダムシード。

POST /run/kandinsky6-vsr?wait=20 見積もり → $0.204
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kandinsky6-vsr?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Kandinsky 6.0 VSRについて

`upscale_factor`で選択した倍率(2、2.25(デフォルト)、4)で`video_url`のクリップをアップスケールします。入力は24 fpsにリサンプリングされ、121フレーム、約5秒に制限されます。2xと4xでは幅と高さを16の倍数にする必要があります。`num_inference_steps`は2~50(デフォルト5)で、再現性のため`seed`を利用できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_url必須 video
型url · video
拡大する動画。倍率2および4では幅と高さを16の倍数にする必要があります。処理時にクリップを24fpsにリサンプリングし、121フレーム(約5秒)に制限します。
upscale_factor任意
型enum
デフォルト2.25
22.254
元の解像度に対する全体の倍率。2、2.25、または4です。
num_inference_steps任意
型integer
デフォルト5
2 – 50
タイルごとに適用するノイズ除去ステップ数。
seed任意
型integer | null
生成時に使用したランダムシード。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kandinsky6-vsr",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 204,
    "usd": "0.204",
    "charged": 204,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}アップスケーリングで生成された動画ファイル。
seed
integer生成時に使用したランダムシード。

その他のモデル: アップスケール

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/kandinsky6-vsr.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt